<script lang="ts">
	import { createEventDispatcher } from 'svelte';

	let target: string = 'All';

	const dispatch = createEventDispatcher();

	function execScrape() {
		dispatch('scrape', { target });
	}
</script>

<form class="flex rounded-md" on:submit|preventDefault={() => execScrape()}>
	<select name="target" class="bg-bh-gold text-bh-black text-center px-4" bind:value={target}>
		<option>All</option>
		<option>liveauctioneers</option>
	</select>

	<button class="border-none rounded-r-md bg-bh-gold text-bh-black py-1 px-2">Start Sync</button>
</form>
